NetworkCreateRequest
Request body to create a network. Creating a network is a privileged operation (super-user only). name, email and primary_contact are required. Internal fields are never accepted.
Display name of the network (required)
Acme Podcast NetworkPrimary email address for the network (required)
ops@example.comOptional free-form description of the network
A network of independent technology podcastsOptional public website for the network
https://example.comDefault language code used for emails sent to the network
enprimary_contact objectnullable
Primary business contact for the network (required)
Email address of the contact (required)
ops@example.comFirst name of the contact (required)
JaneLast name of the contact (required)
DoeOptional free-form role or title of the contact
Head of Partnershipscontacts object[]nullable
Additional business contacts for the network
Email address of the contact (required)
ops@example.comFirst name of the contact (required)
JaneLast name of the contact (required)
DoeOptional free-form role or title of the contact
Head of Partnerships{
"name": "Acme Podcast Network",
"email": "ops@example.com",
"description": "A network of independent technology podcasts",
"website": "https://example.com",
"default_email_language": "en",
"primary_contact": {
"email": "ops@example.com",
"first_name": "Jane",
"last_name": "Doe",
"role": "Head of Partnerships"
},
"contacts": [
{
"email": "ops@example.com",
"first_name": "Jane",
"last_name": "Doe",
"role": "Head of Partnerships"
}
]
}